Bug 181778 - AppCache: Log a Deprecation warning to the Console when AppCache is used
Summary: AppCache: Log a Deprecation warning to the Console when AppCache is used
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Joseph Pecoraro
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-01-17 19:46 PST by Joseph Pecoraro
Modified: 2018-01-19 12:06 PST (History)
7 users (show)

See Also:


Attachments
[PATCH] Proposed Fix (60.90 KB, patch)
2018-01-17 19:47 PST, Joseph Pecoraro
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-sierra (2.24 MB, application/zip)
2018-01-17 20:47 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-sierra-wk2 (2.64 MB, application/zip)
2018-01-17 20:53 PST, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-sierra (2.93 MB, application/zip)
2018-01-17 21:16 PST, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.18 MB, application/zip)
2018-01-17 21:19 PST, Build Bot
no flags Details
[PATCH] Proposed Fix (63.98 KB, patch)
2018-01-18 11:05 PST, Joseph Pecoraro
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.31 MB, application/zip)
2018-01-18 12:07 PST, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-sierra (3.03 MB, application/zip)
2018-01-18 12:37 PST, Build Bot
no flags Details
Patch (63.58 KB, patch)
2018-01-19 10:14 PST, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.34 MB, application/zip)
2018-01-19 11:03 PST, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2018-01-17 19:46:12 PST
AppCache: Log a Deprecation warning to the Console when AppCache is used

Suggest using ServiceWorkers instead now that AppCache is deprecated.
Comment 1 Joseph Pecoraro 2018-01-17 19:47:24 PST
Created attachment 331580 [details]
[PATCH] Proposed Fix
Comment 2 Joseph Pecoraro 2018-01-17 19:48:48 PST
Comment on attachment 331580 [details]
[PATCH] Proposed Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=331580&action=review

> LayoutTests/http/tests/appcache/deferred-events-expected.txt:1
> -CONSOLE MESSAGE: Application Cache manifest could not be fetched, because the manifest had a 404 response.
> +CONSOLE MESSAGE: line 1: ApplicationCache is deprecated. Please use ServiceWorkers instead.

This test is already marked as flakey for all ports:

> LayoutTests/TestExpectations:933:webkit.org/b/87633 http/tests/appcache/deferred-events.html [ Pass Failure ]

So I'm going to assume that the destructive change is just fine.
Comment 3 Build Bot 2018-01-17 20:47:20 PST Comment hidden (obsolete)
Comment 4 Build Bot 2018-01-17 20:47:21 PST Comment hidden (obsolete)
Comment 5 Build Bot 2018-01-17 20:53:30 PST Comment hidden (obsolete)
Comment 6 Build Bot 2018-01-17 20:53:32 PST Comment hidden (obsolete)
Comment 7 Build Bot 2018-01-17 21:16:10 PST Comment hidden (obsolete)
Comment 8 Build Bot 2018-01-17 21:16:11 PST Comment hidden (obsolete)
Comment 9 Build Bot 2018-01-17 21:19:24 PST Comment hidden (obsolete)
Comment 10 Build Bot 2018-01-17 21:19:25 PST Comment hidden (obsolete)
Comment 11 Joseph Pecoraro 2018-01-18 11:05:48 PST
Created attachment 331643 [details]
[PATCH] Proposed Fix
Comment 12 Build Bot 2018-01-18 12:06:58 PST
Comment on attachment 331643 [details]
[PATCH] Proposed Fix

Attachment 331643 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6123889

New failing tests:
http/tests/appcache/load-from-appcache-defer-resume-crash.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-redirect-preflight.any.html
http/tests/appcache/auth.html
Comment 13 Build Bot 2018-01-18 12:07:00 PST
Created attachment 331647 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 14 Build Bot 2018-01-18 12:37:49 PST
Comment on attachment 331643 [details]
[PATCH] Proposed Fix

Attachment 331643 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/6123903

New failing tests:
http/tests/appcache/load-from-appcache-defer-resume-crash.html
http/tests/appcache/auth.html
Comment 15 Build Bot 2018-01-18 12:37:51 PST
Created attachment 331650 [details]
Archive of layout-test-results from ews114 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 16 Alex Christensen 2018-01-19 10:14:04 PST
Created attachment 331747 [details]
Patch
Comment 17 Build Bot 2018-01-19 11:03:56 PST
Comment on attachment 331747 [details]
Patch

Attachment 331747 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6137548

New failing tests:
imported/w3c/web-platform-tests/fetch/api/cors/cors-redirect-preflight.any.worker.html
Comment 18 Build Bot 2018-01-19 11:03:57 PST
Created attachment 331756 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 19 Joseph Pecoraro 2018-01-19 11:28:54 PST
Comment on attachment 331747 [details]
Patch

Failure was unrelated, cq+ again.
Comment 20 WebKit Commit Bot 2018-01-19 11:54:08 PST
Comment on attachment 331747 [details]
Patch

Clearing flags on attachment: 331747

Committed r227225: <https://trac.webkit.org/changeset/227225>
Comment 21 WebKit Commit Bot 2018-01-19 11:54:10 PST
All reviewed patches have been landed.  Closing bug.
Comment 22 Radar WebKit Bug Importer 2018-01-19 12:06:59 PST
<rdar://problem/36666643>